<template>
  <div class="container">
    <h3>Receptionist's Page</h3>

    <queue-list :list="list"/>

    <div class="btn-toolbar">
      <button class="btn btn-success" @click="serveNext">Serve Next Customer</button>
    </div>
  </div>
</template>

<script>
  import APIHelper from '../api-helper'
  import QueueList from './QueueList.vue'

  export default {
    name: "ReceptionistPage",
    components: {QueueList},
    data() {
      return {
        list: []
      }
    },
    methods: {
      refreshList() {
        APIHelper.getQueue()
          .then(list => {
            this.list = list;
          })
          .catch(err => {
            console.error(err);
            alert('There was an error getting the queue');
          });
      },
      serveNext() {
        APIHelper.serveNext()
          .then(list => {
            this.list = list;
          })
          .catch(err => {
            console.error(err);
            alert('There was an error serving the next patient');
          });
      }
    },
    created() {
      this.refreshList();
    }
  }
</script>

<style scoped>

</style>